Package htsjdk.samtools.filter

# Class InsertSizeFilter

java.lang.Object
htsjdk.samtools.filter.InsertSizeFilter

All Implemented Interfaces:
  `SamRecordFilter`

public class InsertSizeFilter extends Object implements SamRecordFilter
Filter things that fall outside a specified range of insert sizes. This will automatically omit unpaired reads.

## Constructor Summary

Constructors
Constructor
Description
`InsertSizeFilter(int minInsertSize, int maxInsertSize)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`filterOut(SAMRecord rec)`
Determines whether a SAMRecord matches this filter
`boolean`
`filterOut(SAMRecord r1, SAMRecord r2)`
Determines whether a pair of SAMRecords matches this filter

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InsertSizeFilter

public InsertSizeFilter(int minInsertSize, int maxInsertSize)

## Method Details

### filterOut

public boolean filterOut(SAMRecord rec)
Description copied from interface: `SamRecordFilter`
Determines whether a SAMRecord matches this filter

Specified by:
  `filterOut` in interface `SamRecordFilter`
Parameters:
  `rec` - the SAMRecord to evaluate
Returns:
  true if the SAMRecord matches the filter, otherwise false

### filterOut

public boolean filterOut(SAMRecord r1, SAMRecord r2)
Description copied from interface: `SamRecordFilter`
Determines whether a pair of SAMRecords matches this filter

Specified by:
  `filterOut` in interface `SamRecordFilter`
Parameters:
  `r1` - the first SAMRecord to evaluate
  `r2` - the second SAMRecord to evaluate
Returns:
  true if the pair of records matches filter, otherwise false